<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page

  //National Numbering Agencies (NNA)
   
    if(isset($_GET["ordre"])){ 
      $ordre = $_GET["ordre"];
    }else{
      $ordre = 'NomAgence';
    }
    
    echo "<h4 class='titre'>National Numbering Agencies (NNA)</h4>";
   
    if(mysql_select_db($base,$connexion)){
		$resultat = mysql_query("Select * from freepay_nna order by $ordre ASC, CodePays ASC;",$connexion); //connexion de la requete
      
		if (!empty($resultat)){
      		
      		$ligne = mysql_fetch_assoc($resultat); //affichage des résultats
      
		  if (!empty($ligne)){
			echo '
			<table width="100%">
			  <tr>
				<th><a href="'.$AdresseFreePay.'services/ISIN/NNA_afficher.php?ordre=CodePays">'.$ICCodePays[$lang].'</a></th>
				<th><a href="'.$AdresseFreePay.'services/ISIN/NNA_afficher.php?ordre=NomAgence">NNA</a></th>
				<th><a href="'.$AdresseFreePay.'services/ISIN/NNA_afficher.php?ordre=NomVille">'.$ICNomVille[$lang].'</a></th>
				<th><a href="'.$AdresseFreePay.'services/ISIN/NNA_afficher.php?ordre=NomPays">'.$ICNomPays[$lang].'</a></th>
			  </tr>'; //titre des champs
	  
			
			while( $ligne ){
				$ligne["NomAgence"] = str_replace("&", "&amp;", $ligne["NomAgence"]); //w3c : always safe
			  echo '
			  <tr>
				<td class="historique" onmouseover="this.style.backgroundColor=\'white\'"
			  onmouseout="this.style.backgroundColor=\'#c8d7e3\'"  >'.$ligne["CodePays"].'</td>
				<td class="historique" onmouseover="this.style.backgroundColor=\'white\'"
			  onmouseout="this.style.backgroundColor=\'#c8d7e3\'"  >';
				  if( !empty($ligne["URLAgence"]) ) {
					echo '<a href="'.$ligne["URLAgence"].'">'.$ligne["NomAgence"].'</a>';
				  }else{
					echo $ligne["NomAgence"];
				  }
				 echo '
				 </td>
				<td class="historique" onmouseover="this.style.backgroundColor=\'white\'"
			  onmouseout="this.style.backgroundColor=\'#c8d7e3\'"  >'.$ligne["NomVille"].'</td>
				<td class="historique" onmouseover="this.style.backgroundColor=\'white\'"
			  onmouseout="this.style.backgroundColor=\'#c8d7e3\'"  >'.$ligne["NomPays"].'</td>
			  </tr>';
			  $ligne = mysql_fetch_assoc($resultat);
			}
			 echo '
			</table>';
      		
		}else{
      		echo "<p class='info'>Aucun NNA enregistrée pour le moment.</p>";
		}
      	
      }else{
        echo "<p class='info'>La table '$base.freepay_nna' n'existe pas.</p>";	
      }
    
    }else{ 
      echo "<p class='erreur'>La base '<strong>$base</strong>' est introuvable sur <strong>MySQL</strong>. Il faut l'installer.</p>";
    }

  
  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page

?>
